Loading...
Searching...
No Matches
FakeSession Class Reference

## Public Member Functions

| __construct ($principal)
| AllowedTo ($do_something)

## Public Attributes

| $user_no
| $principal_id

## Private Attributes

| $user_active
| $created
| $modified
| $password
| $fullname
| $email_ok
| $date_format_type
| $locale
| $type_id
| $type_label
| $displayname
| $default_privileges
| $is_principal
| $is_calendar
| $is_addressbook
| $collection_id
| $resourcetypes
| $privileges
| $username
| $logged_in
| $email
| $dav_name
| $principal

## Detailed Description

Definition at line 19 of file iSchedule-POST.php.

## Constructor & Destructor Documentation

## __construct()

FakeSession::__construct | ( |  | $principal | ) |

Definition at line 46 of file iSchedule-POST.php.

## Member Function Documentation

## AllowedTo()

FakeSession::AllowedTo | ( |  | $do_something | ) |

Definition at line 62 of file iSchedule-POST.php.

## Member Data Documentation

## $collection_id

FakeSession::$collection_id

private

Definition at line 35 of file iSchedule-POST.php.

## $created

FakeSession::$created

private

Definition at line 21 of file iSchedule-POST.php.

## $date_format_type

FakeSession::$date_format_type

private

Definition at line 26 of file iSchedule-POST.php.

## $dav_name

FakeSession::$dav_name

private

Definition at line 43 of file iSchedule-POST.php.

## $default_privileges

FakeSession::$default_privileges

private

Definition at line 31 of file iSchedule-POST.php.

## $displayname

FakeSession::$displayname

private

Definition at line 30 of file iSchedule-POST.php.

## $email

FakeSession::$email

private

Definition at line 42 of file iSchedule-POST.php.

## $email_ok

FakeSession::$email_ok

private

Definition at line 25 of file iSchedule-POST.php.

## $fullname

FakeSession::$fullname

private

Definition at line 24 of file iSchedule-POST.php.

## $is_addressbook

FakeSession::$is_addressbook

private

Definition at line 34 of file iSchedule-POST.php.

## $is_calendar

FakeSession::$is_calendar

private

Definition at line 33 of file iSchedule-POST.php.

## $is_principal

FakeSession::$is_principal

private

Definition at line 32 of file iSchedule-POST.php.

## $locale

FakeSession::$locale

private

Definition at line 27 of file iSchedule-POST.php.

## $logged_in

FakeSession::$logged_in

private

Definition at line 41 of file iSchedule-POST.php.

## $modified

FakeSession::$modified

private

Definition at line 22 of file iSchedule-POST.php.

## $password

FakeSession::$password

private

Definition at line 23 of file iSchedule-POST.php.

## $principal

FakeSession::$principal

private

Definition at line 44 of file iSchedule-POST.php.

## $principal_id

FakeSession::$principal_id

Definition at line 40 of file iSchedule-POST.php.

## $privileges

FakeSession::$privileges

private

Definition at line 37 of file iSchedule-POST.php.

## $resourcetypes

FakeSession::$resourcetypes

private

Definition at line 36 of file iSchedule-POST.php.

## $type_id

FakeSession::$type_id

private

Definition at line 28 of file iSchedule-POST.php.

## $type_label

FakeSession::$type_label

private

Definition at line 29 of file iSchedule-POST.php.

## $user_active

FakeSession::$user_active

private

Definition at line 20 of file iSchedule-POST.php.

## $user_no

FakeSession::$user_no

Definition at line 39 of file iSchedule-POST.php.

## $username

FakeSession::$username

private

Definition at line 38 of file iSchedule-POST.php.

The documentation for this class was generated from the following file:

- inc/iSchedule-POST.php